/*************************************************************************************
 *  Copyright (C) 2008 by Aleix Pol <aleixpol@kde.org>                               *
 *                                                                                   *
 *  This program is free software; you can redistribute it and/or                    *
 *  modify it under the terms of the GNU General Public License                      *
 *  as published by the Free Software Foundation; either version 2                   *
 *  of the License, or (at your option) any later version.                           *
 *                                                                                   *
 *  This program is distributed in the hope that it will be useful,                  *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of                   *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                    *
 *  GNU General Public License for more details.                                     *
 *                                                                                   *
 *  You should have received a copy of the GNU General Public License                *
 *  along with this program; if not, write to the Free Software                      *
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA   *
 *************************************************************************************/

#include "valuemodifier.h"
#include <QVBoxLayout>

#include <QLabel>
#include <QDoubleSpinBox>

ValueModifier::ValueModifier(const QString& name, const double& defValue, QWidget* parent)
	: QWidget(parent), m_name(name)
{
	QHBoxLayout *l=new QHBoxLayout(this);
	l->addWidget(new QLabel(name));
	
	QDoubleSpinBox* spin=new QDoubleSpinBox(this);
	spin->setRange(-5000., 5000.);
	spin->setValue(defValue);
	l->addWidget(spin);
	
	connect(spin, SIGNAL(valueChanged(double)), SLOT(valueChanged(double)));
}

void ValueModifier::valueChanged(double d)
{
	emit modified(m_name, d);
}
